getTask
GET
/v1/tasks/{task_id}
const url = 'https://testnet-rpc.necter.network/v1/tasks/example?wait=0';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://testnet-rpc.necter.network/v1/tasks/example?wait=0'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”task_id
required
string
Query Parameters
Section titled “Query Parameters”wait
integer
Responses
Section titled “Responses”Task
Media typeapplication/json
object
task_id
required
Hub id; equals round_id once scheduled
string
project_id
required
string
round_id
string | null
epoch
integer | null
seq
integer | null
function
string
input_hash
string
status
required
string
success
boolean | null
output
UTF-8 output (HBC outputs are UTF-8)
string | null
gas_used
integer | null
events
Array<object>
object
name
string
data
error
string | null
created_at
required
integer
Example
{ "status": "queued"}not_found
Media typeapplication/json
object
error
required
Stable machine code
string
message
required
string
details
object
key
additional properties
any
request_id
required
string
Example generated
{ "error": "example", "message": "example", "details": {}, "request_id": "example"}